|  | Home · All Classes · Modules

# QWebSecurityOrigin Class Reference
[QtWebKit module]

The QWebSecurityOrigin class defines a security boundary for web sites. More...

### Methods

- __init__ (self, QWebSecurityOrigin other)
- long databaseQuota (self)
- QList<QWebDatabase> databases (self)
- long databaseUsage (self)
- QString host (self)
- int port (self)
- QString scheme (self)
- setDatabaseQuota (self, long quota)

### Static Methods

- QList<QWebSecurityOrigin> allOrigins ()

## Detailed Description

The QWebSecurityOrigin class defines a security boundary for web sites.

QWebSecurityOrigin provides access to the security domains defined by web sites. An origin consists of a host name, a scheme, and a port number. Web sites with the same security origin can access each other's resources for client-side scripting or databases.

### diagram

For example the site `http://www.example.com/my/page.html` is allowed to share the same database as `http://www.example.com/my/overview.html`, or access each other's documents when used in HTML frame sets and JavaScript. At the same time it prevents `http://www.malicious.com/evil.html` from accessing `http://www.example.com/`'s resources, because they are of a different security origin.

QWebSecurity also provides access to all databases defined within a security origin.

For more information refer to the "Same origin policy" Wikipedia Article.

See also QWebFrame.securityOrigin().

## Method Documentation

### QWebSecurityOrigin.__init__ (self, QWebSecurityOrigin other)

Constructs a security origin from other.

### QList<QWebSecurityOrigin> QWebSecurityOrigin.allOrigins ()

Returns a list of all security origins with a database quota defined.

### long QWebSecurityOrigin.databaseQuota (self)

Returns the quota for the databases in the security origin.

See also setDatabaseQuota().

### QList<QWebDatabase> QWebSecurityOrigin.databases (self)

Returns a list of all databases defined in the security origin.

### long QWebSecurityOrigin.databaseUsage (self)

Returns the number of bytes all databases in the security origin use on the disk.

### QString QWebSecurityOrigin.host (self)

Returns the host name defining the security origin.

### int QWebSecurityOrigin.port (self)

Returns the port number defining the security origin.

### QString QWebSecurityOrigin.scheme (self)

Returns the scheme defining the security origin.

### QWebSecurityOrigin.setDatabaseQuota (self, long quota)

Sets the quota for the databases in the security origin to quota bytes.

If the quota is set to a value less than the current usage, the quota will remain and no data will be purged to meet the new quota. However, no new data can be added to databases in this origin.

See also databaseQuota().